:: All examples with AxUtil assume you have navigated to the appropriate directory or added that path to the environment variables
:: Uncomment the specific example you want to execute and run this batch job, or copy and paste the specific line into your CMD window

:: Create a new model
::AXUtil create /model:"My Model" /Layer:USR

:: List elements in a model
::AXUtil view /model:"My Model" /verbose

:: Editing a manifest through XML
::AXUtil manifest /model:"My Model" /xml >MyManifest.xml
::notepad MyManifest.xml
::AXUtil edit /model: "My Model" @MyManifest.xml

:: Export a model
::AXUtil export /model:"My Model" /file:MyModel.axmodel

:: List elements in a model file
::AXUtil view /file:MyModel.axmodel /verbose

:: Strongly sign a model
::SN -k mykey.snk
::AXUtil export /model:"My Model" /file:MyModel.axmodel /key:mykey.snk

:: Authenticode sign a model file
::signtool sign /f mycertprivate.pfx /p password MyModel.axmodel

:: Import a model file
::AXUtil import /file:SomeModel.axmodel

:: Get a list of conflicting elements after model import
::AXUtil import /file:SomeModel.axmodel /verbose

:: Import a model overwriting existing conflicting elements with the new definitions
::AXUtil import /file:SomeModel.axmodel /conflict:overwrite

:: Import a model with conflicting elements being placed in a higher layer virtual model
::AXUtil import /file:SomeModel.axmodel /conflict:push

:: Import a model with conflicting elements being placed in a virtual model on the specified layer
::AXUtil import /file:SomeModel.axmodel /conflict:push /targetlayer:USR

:: Update the model with a newer version
::AXUtil import /file:NewerModel.axmodel

:: Updating models with consolidation
::AXUtil import /file:f1,f2,f3 /replace:m1,m2,m3,m4,m5

:: Export the model store
::AXUtil exportstore /file:ProductionStore.axmodelstore

:: Import the model store
::Net stop AOS60$01
::AXUtil importstore /file:ProductionStore.axmodelstore
::Net start AOS60$01

:: Create a new schema
::AXUtil schema /schemaname:TransferSchema

:: Import the model store file into the new schema
::AXUtil importstore /file:TestStore.axmodelstore /schema:TransferSchema

:: Move the new schema to the active schema
::Net stop AOS60$01
::AXUtil importstore /apply:TransferSchema /backupschema:dbo_backup
::Net start AOS60$01

:: Delete an unused backup schema
::AXUtil schema /drop:<schemaname>